Skip to main content
POST
/
api
/
workers
/
{workerId}
/
flows
/
{flowId}
/
versions
JavaScript
import BrainbaseLabs from 'brainbase-labs';

const client = new BrainbaseLabs({
  apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});

const response = await client.workers.flows.versions.commit('flowId', {
  workerId: 'workerId',
  commitMessage: 'commitMessage',
});

console.log(response.id);
import os
from brainbase_labs import BrainbaseLabs

client = BrainbaseLabs(
api_key=os.environ.get("BRAINBASE_LABS_API_KEY"), # This is the default and can be omitted
)
response = client.workers.flows.versions.commit(
flow_id="flowId",
worker_id="workerId",
commit_message="commitMessage",
)
print(response.id)
curl --request POST \
--url https://brainbase-monorepo-api.onrender.com/api/workers/{workerId}/flows/{flowId}/versions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"commitMessage": "<string>"
}
'


{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "flowId": "<string>",
  "versionNumber": 123,
  "code": "<string>",
  "variables": {},
  "commitMessage": "<string>",
  "authorUserId": "<string>",
  "authorApiKeyId": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication

Path Parameters

workerId
string
required
flowId
string
required

Body

application/json
commitMessage
string
required

Response

Version created

id
string
required
createdAt
string<date-time>
required
flowId
string
required
versionNumber
integer
required
code
string
required
variables
object
required
commitMessage
string
required
authorType
enum<string>
Available options:
USER,
API_KEY
authorUserId
string | null
authorApiKeyId
string | null